<template>
	<view class="yaoqing">
		<view class="yaoqing-title">
			输入您的邀请码
		</view>
		<view class="yaoqing-input u-flex u-row-between">
			<input type="text" placeholder="请输入您的邀请码" v-model="invitation_code">
			<image src="static/Scanning.png" mode=""></image>
		</view>
		<view class="login-btn2" @click="touserinfo1(1)">
			登录
		</view>
		<view class="tiaoguo" @click="touserinfo1(2)">
			跳过
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				invitation_code: ''
			}
		},
		onLoad() {

		},
		methods: {
			touserinfo1(type) {
				if(type == 1){
					if(!this.invitation_code){
						this.$u.toast('请输入您的邀请码')
						return
					}
				}
				// uni.navigateTo({
				// 	url: "/pagesA/userinfo?invitation_code=" + this.invitation_code
				// })
				uni.setStorageSync("invitation_code",this.invitation_code)
				uni.navigateTo({
					url: "/pagesA/jianlichange"
				})
			}
		}
	}
</script>

<style lang="scss">
	.yaoqing {
		padding: 0 52rpx;

		.tiaoguo {
			text-align: center;
			font-size: 32rpx;
			font-family: PingFangSC-Regular, PingFang SC;
			font-weight: 400;
			color: #222222;
		}

		.login-btn2 {
			line-height: 96rpx;
			border-radius: 16rpx;
			text-align: center;
			font-size: 32rpx;
			font-family: PingFangSC-Regular, PingFang SC;
			font-weight: 400;
			color: #fff;
			margin-bottom: 48rpx;
			background-color: #0C66C2;
		}

		.yaoqing-input {
			height: 124rpx;
			border-bottom: 2rpx solid #F4F4F4;
			margin-bottom: 54rpx;

			input {
				flex: 1;
				font-size: 32rpx;
			}

			image {
				width: 48rpx;
				height: 48rpx;
			}
		}

		.yaoqing-title {
			margin: 82rpx 0 66rpx 0;
			font-size: 44rpx;
			font-family: PingFangSC-Medium, PingFang SC;
			font-weight: 500;
			color: #222222;
		}
	}
</style>